Loading...
Searching...
No Matches
rostlab::blast::oneline Struct Reference

One-line description. More...

`#include <blast-result.h>`

## Public Member Functions

| oneline (const std::string &__name="", const std::string &__desc="", double __bit_score=0, double __e_value=0)
| oneline (const hit &__h)
virtual | ~oneline ()

## Public Attributes

std::string | name
std::string | desc
double | bit_score
| Bit score.
double | e_value

## Detailed Description

One-line description.

Definition at line 152 of file blast-result.h.

## Constructor & Destructor Documentation

## oneline() [1/2]

rostlab::blast::oneline::oneline | ( | const std::string & | __name = "",
|  | const std::string & | __desc = "",
|  | double | __bit_score = 0,
|  | double | __e_value = 0 )

inline

Definition at line 158 of file blast-result.h.

## oneline() [2/2]

rostlab::blast::oneline::oneline | ( | const hit & | __h | ) |

inline

Definition at line 159 of file blast-result.h.

## ~oneline()

virtual rostlab::blast::oneline::~oneline | ( |  | ) |

inline virtual

Definition at line 160 of file blast-result.h.

## Member Data Documentation

## bit_score

double rostlab::blast::oneline::bit_score

Bit score.

Definition at line 156 of file blast-result.h.

## desc

std::string rostlab::blast::oneline::desc

Definition at line 154 of file blast-result.h.

## e_value

double rostlab::blast::oneline::e_value

Definition at line 157 of file blast-result.h.

## name

std::string rostlab::blast::oneline::name

Definition at line 153 of file blast-result.h.

The documentation for this struct was generated from the following file:

- rostlab/blast-result.h